## pngnq 0.3

=== Makefile ===
# Makefile for pngnq

CC=gcc

PNGINC = ../libpng
PNGLIB = /usr/lib

ZINC = ../zlib
ZLIB = ../zlib

CFLAGS = -O3 -g -Wall -I. -I$(PNGINC) -I$(ZINC) -funroll-loops -fomit-frame-pointer

#LDFLAGS = -L$(PNGLIB) -lpng -L$(ZLIB) -lz -lm
LDFLAGS = $(PNGLIB)/libpng.a -L$(ZLIB) -lz -lm
#LDFLAGS = $(PNGLIB)/libpng.a $(ZLIB)/libz.a -lm

OBJS = pngnq.o rwpng.o neuquant32.o

all: pngnq

pngnq: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

clean:
	rm -f pngnq $(OBJS)

## pngnq 0.4.1

=== 0.4.1/Makefile ===
# Makefile for pngnq

CC=gcc

PNGINC = ../libpng
PNGLIB = /usr/lib

ZINC = ../zlib
ZLIB = ../zlib

CFLAGS = -O3 -g -Wall -pedantic -I. -I$(PNGINC) -I$(ZINC) -funroll-loops -fomit-frame-pointer

LDFLAGS = -L$(PNGLIB) -lpng -L$(ZLIB) -lz -lm
#LDFLAGS = $(PNGLIB)/libpng.a -L$(ZLIB) -lz -lm
#LDFLAGS = $(PNGLIB)/libpng.a $(ZLIB)/libz.a -lm

OBJS = pngnq.o rwpng.o neuquant32.o

all: pngnq pngcomp

pngnq: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

pngcomp: rwpng.o pngcomp.o
	$(CC) -o $@ rwpng.o pngcomp.o $(LDFLAGS)

clean:
	rm -f pngnq pngcomp *.o

## pngnq 0.5

=== Makefile ===
# Makefile for pngnq
#
#
# Copyright (C) 2004-2007 by Stuart Coyle
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose and without fee is hereby granted, provided
# that the above copyright notice appear in all copies and that both that
# copyright notice and this permission notice appear in supporting
# documentation.  This software is provided "as is" without express or
# implied warranty.
#
# This makefile should work on most Unixy systems. 
# 
 
VERSION = 0.5

CC=gcc

# Distro options
# Relies on uname, otherwise provide your own...
OS = ${shell uname -s}
ARCH=${shell uname -m}
DISTFILES = LICENSE README README.pngcomp pngnq.1 pngnq pngcomp 

# Installation options
# Change these to suit your system's requirements
BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
DOCDIR=/usr/share/doc/pngnq

# Build options
PNGINC = ${shell libpng-config --cflags}
PNGLIB = ${shell libpng-config --ldflags}

CFLAGS = -O3 -g -Wall -pedantic -I. -D VERSION=\"$(VERSION)\" $(PNGINC) -funroll-loops -fomit-frame-pointer 

LDFLAGS = $(PNGLIB)

OBJS = pngnq.o rwpng.o neuquant32.o freegetopt/getopt.o
#############################################
# Targets
# Default just makes pngnq
#############################################
pngnq: $(OBJS) freegetopt
	$(CC) -o $@ $(OBJS) $(LDFLAGS) -D$(VERSION)

pngcomp: rwpng.o pngcomp.o freegetopt
	$(CC) -o $@ rwpng.o pngcomp.o freegetopt/getopt.o $(LDFLAGS)

freegetopt: 
	$(MAKE) -C freegetopt 

###############################################
# Phony targets 
###############################################
.PHONY: all clean dist bindist
all: pngnq pngcomp

clean:
	rm -f pngnq pngcomp *.o
	$(MAKE) -C freegetopt clean

# Make a distribution tar.gz
dist:	clean
	rm -f *~
	tar -cz -C ../ -f ../pngnq-$(VERSION)-src.tar.gz $(VERSION)

# Make a binary distribution .tar.gz
bindist: all
	tar -cz -f ../pngnq-$(VERSION)-$(ARCH)-$(OS).tar.gz $(DISTFILES)

# Install
install: all
	install -t ${BINDIR} pngnq pngcomp
	install -t ${MANDIR} pngnq.1 
	install -d ${DOCDIR} 
	install -t ${DOCDIR} README LICENSE README.pngcomp

=== freegetopt/Makefile ===
##############################################################################
# $Header: /cvsroot/freegetopt/freegetopt/Makefile,v 1.2 2003/10/26 03:10:19 vindaci Exp $

CC=gcc
OBJECTS=getopt.o
BINARIES=test


##############################################################################
# PHONIES

all: test

clean:
	rm -f $(BINARIES) *.o


##############################################################################
# FILES

test: test.o $(OBJECTS)
	$(CC) $(LDFLAGS) test.o $(OBJECTS) -o $@ $(LDLIBS)

test.o: test.c
	$(CC) $(CFLAGS) $< -o $@ -c

getopt.o: getopt.c
	$(CC) $(CFLAGS) $< -o $@ -c

## pngnq 1.1+ds

=== debian/changelog ===
pngnq (1.1+ds-3) unstable; urgency=medium

  * d/copyright:
      - add Upstream-Contact info
      - update year info to 2024
  * add d/p/rwpng.c-add-include-string.h.patch(Closes: #1065756)

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 10 Mar 2024 10:14:05 +0800

pngnq (1.1+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2
  * d/control: Suggests: + pngcrush
  * d/control: fix typo in description
  * Update d/p/pngnq.1.patch(Closes: #602592)
  * add d/p/add-o-option.patch(Closes: #670408)
  * add Forwarded: not-needed for patches
  * add xiao sheng wen as Uploaders

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 31 Aug 2023 21:41:37 +0800

pngnq (1.1+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing build-dep pkg-config. (Closes: #1008342)
  * debian/patches/0005-configure.ac-Fix-grammar-error.patch: Add patch
    to fix grammar error in configure.ac.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Jul 2022 20:17:57 -0400

pngnq (1.1+ds-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Orphan the package.
  * debian/control:
    + Add Vcs-* fields.
    + Apply "wrap-and-sort -abst".
  * Bump debhelper compat to v13.
  * Bump Standards-Version to 4.6.0.
  * debian/rules: Migrate to dh
  * debian/source/format: Use "3.0 (quilt)".

  [ Andreas Tille ]
  * Move package to Debian Phototools team
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)
  * DEP5
  * Repack upstream source to remove remainings of freegetopt

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 07:50:27 +0100

pngnq (1.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace patch libpng16.patch with pngnq-1.1.patch, taken from the upstream
    bug https://sourceforge.net/p/pngnq/patches/5/, to fix the support for
    libpng >= 1.5. (Closes: #826797)

 -- Pino Toscano <pino@debian.org>  Sat, 06 Aug 2016 10:00:38 +0200

pngnq (1.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Andreas Moog ]
  * Update fix-linker-libs.patch to allow building with --as-needed
    (LP: #770821, Closes: #634220)

  [ Jay R. Wren ]
  * Update homepage
  * Update std-version to 3.9.6, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Jan 2016 14:16:18 +0100

pngnq (1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng 1.5", adding missing include to zlib.h
    (Closes: #641889)
  * Change B-D to libpng-dev (Closes: #662473)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 12:09:13 +0100

pngnq (1.0-2) unstable; urgency=low

  * Fix FTBFS with binutils-gold (Closes: #556065):
    - New patch debian/patches/fix-linker-libs.patch

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 13 Nov 2009 19:28:00 -0200

pngnq (1.0-1) unstable; urgency=low

  * New upstream release;
  * Updated watch file;
  * Updated Standards-Version to 3.8.3 (no changes needed).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 11 Oct 2009 16:51:42 -0300

pngnq (0.5-3) unstable; urgency=low

  * Fix segmentation fault when printing the version number (Closes: #491860).
    Thanks Johan Thelmén!
  * Bumped Standards-Version to 3.8.0 (no changes needed);
  * Using debhelper compat level 7.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 25 Jul 2008 23:16:03 -0300

pngnq (0.5-2) unstable; urgency=low

  * Fix manpages typos (Closes: #470425). Thank you, A. Costa!
  * Updated Standards-Version to 3.7.3 (no changes needed);
  * Bumped debhelper compat level to 6.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 11 Mar 2008 09:51:12 -0300

pngnq (0.5-1) unstable; urgency=low

  * New upstream release;
  * Updated maintainer e-mail;
  * Updated debian/control to use the new Homepage field;
  * Updated copyright file.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed, 28 Nov 2007 23:16:51 -0200

pngnq (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #378148).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Sat, 15 Jul 2006 00:24:51 -0300

pngnq (0.3-2) unstable; urgency=low

  * Fix FTBFS (Closes: #374363);
  * Updated debian/copyright file;
  * Bumped Standards-Version to 3.7.2 (no changes needed);
  * Using debhelper compatibility level 5;
  * Added a space before Homepage: on the package long description.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Sun, 18 Jun 2006 20:08:49 -0300

pngnq (0.3-1) unstable; urgency=low

  * Initial release (Closes: #334779).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed, 19 Oct 2005 18:37:18 -0200

=== debian/control ===
Source: pngnq
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 pkg-config,
 zlib1g-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngnq.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngnq
Homepage: http://pngnq.sourceforge.net
Rules-Requires-Root: no

Package: pngnq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pngcrush,
Description: tool for optimizing PNG (Portable Network Graphics) images
 Pngnq is a tool for quantizing 32-bit RGBA PNG images to 8-bit RGBA palette
 PNG. It's is an adaptation by Stuart Coyle of Greg Roelf's pnqquant. While
 pngquant uses a median cut algorithm, Pngnq uses Anthony Dekker's neuquant
 algorithm (http://members.ozemail.com.au/~dekker/NEUQUANT.HTML), generally
 resulting in better looking results than pngquant.
 .
 Optimizers (like pngcrush and optipng) optimize the compression, usually
 losslessly. pngnq quantizes colors down to 256 (or fewer) distinct RGBA
 combinations, which is quite lossy. Optimized PNGs are usually two to four
 times smaller than the 32-bit versions.

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  http://sf.net/pngnq/pngnq-([\d\.]+)\.tar\.gz
